## docbook-defguide 2.0.8

=== en/Makefile ===
include ../../cvstools/Makefile.incl

SSTITLEPG=stylesheets/html-titlepage.xsl
SSCHUNK=stylesheets/chunk.xsl
SSFO=stylesheets/tdgfo.xsl

SOURCE=book.xml
MEMORY=100000000
BASEDIR=html/
ROOTID=
FORESULT=chunk.fo

ifeq ($(SOURCE),unexbook.xml)
  STYLEOPT=output.type=unexpanded
  HTMLEXT=-x.html
else
  STYLEOPT=
  HTMLEXT=.html
endif

ifeq ($(ROOTID),)
  ROOTIDPARAM=
else
  ROOTIDPARAM=rootid=$(ROOTID)
endif

ifeq ($(XSLT),xsltproc)
  MEMORYOPT=
else
  MEMORYOPT=-m $(MEMORY)
endif

all: chunks index

test:
	xjparse $(SOURCE)

tdg.xml:
	xsltproc $(SOURCE) /home/ndw/stylesheets/identity.xsl $@

chunks: $(SSTITLEPG)
	$(XSLT) $(MEMORYOPT) $(SOURCE) $(SSCHUNK) base.dir=$(BASEDIR) html.ext=$(HTMLEXT) $(STYLEOPT)
	$(XSLT) $(MEMORYOPT) $(SOURCE) $(SSCHUNK) base.dir=$(BASEDIR) html.ext=$(HTMLEXT) rootid=index $(STYLEOPT)

chunk: $(SSTITLEPG)
	$(XSLT) $(MEMORYOPT) $(SOURCE) $(SSCHUNK) - base.dir=$(BASEDIR) html.ext=$(HTMLEXT) $(ROOTIDPARAM) $(STYLEOPT)

index: $(SSTITLEPG)
	$(XSLT) $(MEMORYOPT) $(SOURCE) $(SSCHUNK) - base.dir=$(BASEDIR) html.ext=$(HTMLEXT) rootid=index

stylesheets/html-titlepage.xsl: stylesheets/html-titlepage.xml
	$(XSLT) $< ../../xsl/template/titlepage.xsl $@

fochunks:
	$(XSLT) $(MEMORYOPT) $(SOURCE) $(SSFO) partI.fo rootid=docbook-intro $(STYLEOPT)
	$(XSLT) $(MEMORYOPT) $(SOURCE) $(SSFO) partII.fo rootid=docbook-reference $(STYLEOPT)
	$(XSLT) $(MEMORYOPT) $(SOURCE) $(SSFO) partIII.fo rootid=docbook-apps $(STYLEOPT)

fochunk:
	$(XSLT) $(MEMORYOPT) $(SOURCE) $(SSFO) $(FORESULT) $(ROOTIDPARAM) $(STYLEOPT)

%.pdf: %.fo
	xep $<

book.fo: book.xml
	$(XSLT) $(MEMORYOPT) $< $(SSFO) $@ $(ROOTIDPARAM) $(STYLEOPT)

book.pdf: book.fo
	xep $< $@

clean:
	rm -f book.{html,fo,pdf}

=== en/stylesheets/Makefile ===
include ../../../cvstools/Makefile.incl

html-titlepage.xsl: html-titlepage.xml
	$(XSLT) $< /sourceforge/docbook/xsl/template/titlepage.xsl $@

r.fo : r.xml
	xsltproc $< tdgfo.xsl $@

r.pdf : r.fo
	xep $<
	rm -f $<

## docbook-defguide 2.0.17%2Bsvn9912

=== debian/watch ===
# See uscan(1) for format
#
# NOTE: You need to call the get-orig-source target in debian/rules.
# NOTE: uupdate will *NOT* work, because we need to get the source from SVN.

version=3
opts=\
uversionmangle=s#^#2.0.17+svn#,\
filenamemangle=s#.*/code/(\d+)/$#docbook-defguide-dummy-r$1# \
 http://sourceforge.net/p/docbook/code/HEAD/log/?path=/trunk/defguide \
 /p/docbook/code/(\d+)/$ \
 debian /bin/sh debian/get-orig-source.sh

#opts=dversionmangle=s/\+svn.*$//g \
#  http://docbook.org/tdg/ en/tdg-en-html-([\d\.]+).zip

## docbook-defguide 2.0.17+svn7549

=== debian/changelog ===
docbook-defguide (2.0.17+svn7549-4) unstable; urgency=low

  * buildtools/saxon.sh (DEFAULT_CLASSPATH): Fix catalog resolver jar name
    (closes: #642256).
  * buildtools/Makefile.incl,
    buildtools/saxon.sh: Moved into debian/patches/buildtools.patch.
  * debian/compat: Increased dh compatibility level.
  * debian/control (Build-Depends): Removed dpatch. Increased dh version.
    Fixed debhelper-but-no-misc-depends.
    (Standards-Version): Bumped to 3.9.2.
  * debian/docbook-defguide.dirs: Added.
  * debian/docbook-defguide.docs: Ditto.
  * debian/docbook-defguide.install: Ditto.
  * debian/rules: Rewritten for dh 7.
  * debian/source.lintian-overrides: Dropped.
  * debian/source/format: Added for version 3.0 (quilt).
  * debian/README.Debian: Moved a comment to debian/README.source.
  * debian/README.source: Added with a note from debian/README.Debian.
  * debian/patches/01_misc_fixes.dpatch: Transformed to quilt and renamed to
    debian/patches/misc_fixes.patch.
  * debian/patches/00list: Renamed to debian/patches/series and adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Wed, 23 Nov 2011 18:52:38 +0100

docbook-defguide (2.0.17+svn7549-3) unstable; urgency=low

  * debian/control (Build-Depends-Indep): java-gcj-compat is not available
    anymore on alpha, arm, hppa and hurd-i386.
  * debian/docbook-defguide.doc-base (Section): Fixed accordingly to version
    0.8.10 of the doc-base manual.
  * debian/rules (install): Fixed bashism.
  * debian/source.lintian-overrides: Added to override
    patch-system-but-direct-changes-in-diff warning, because file creation is
    intended.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Thu, 01 May 2008 03:55:09 +0200

docbook-defguide (2.0.17+svn7549-2) unstable; urgency=low

  * debian/control: Added Vcs fields. Added DM-Upload-Allowed for DM status.
    (Build-Depends-Indep): Build-depend on the recently introduced -gcj
    packages with native code to speed up the build process (closes: #459043).
  * debian/watch: Slightly improved to ignore the SVN version part.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Tue, 05 Feb 2008 02:20:50 +0100

docbook-defguide (2.0.17+svn7549-1) unstable; urgency=low

  * New upstream release 2.0.17 (finally closes: #257715).
    - Creates missing pages (closes: #208031).
    - Fixes several broken links (closes: #248364, #280740).
    - Drops printing glyphs via external URIs (closes: #173710).
    - Norman Walsh relicensed the TDG as of version 2.0.17 without the
      back-cover text clause (closes: #280485). Many thanks to you, Norm!

  * buildtools/Makefile.incl: Added my own small and custom build system to
    not rely on upstreams one. This should also reduce the size of necessary
    changes to the build system.
  * buildtools/saxon.sh: Ditto.

  * debian/compat: Update to newer compatibility level 5.
  * debian/control: Added Homepage field.
    (Maintainer): New maintainer (closes: #295579).
    (Standards-Version): Updated to latest 3.7.3.
    (Build-Depends, Build-Depends-Indep): Updated/adjusted.
    (Description): Updated.
  * debian/copyright: Updated. Added information about newly added source
    files (xml2po/entities/docbook-xml/sgml-data).
  * debian/docbook-defguide.doc-base (Abstract): Updated.
    (Section): Fixed to apply to latest menu spec.
  * debian/rules: Added get-orig-source target to retreive the source via SVN.
    Added dpatch infrastructure. Removed obsolete stuff and fixed the build
    system (cleanup).
    (install): Added  .htaccess file - provide docbook.html as directory index
    (closes: #135296).
  * debian/watch: Added (crude, but it should work).
  * debian/README.Debian: Updated.
  * debian/patches/01_misc_fixes.dpatch: Added. Fixes to make the package
    build (we are not inside the projects SVN).
  * debian/patches/00list: Added.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 16 Dec 2007 14:25:22 +0100

docbook-defguide (2.0.8-2) unstable; urgency=low

  * QA Group upload orphaning this package
  * debian/copyright: Updated the address of the FSF
  * debian/docbook-defguide.doc-base: removed bogus sentence (closes: #217408)

 -- Andrew Pollock <apollock@debian.org>  Wed,  1 Mar 2006 11:17:59 -0800

docbook-defguide (2.0.8-1.1) unstable; urgency=high

  * NMU.
  * High-urgency upload for sarge-targetted RC bugfix
  * Add the complete FDL license text to debian/copyright
    (closes: #280807).
  * Add %use-id-as-filename% and %html-ext%=".html" dssl directives to
    defguide.dsl to get the nice filenames.html available in the 
    previous version of the package; thanks to Paul Brossier for the fix.

 -- Steve Langasek <vorlon@debian.org>  Fri,  3 Dec 2004 18:31:00 -0800

docbook-defguide (2.0.8-1) unstable; urgency=low

  * Fixed generation of xrefs to elements (Closes: #187963).

 -- Yann Dirson <dirson@debian.org>  Mon,  7 Apr 2003 21:06:47 +0200

docbook-defguide (2.0.8) unstable; urgency=low

  * New upstream release.
  * Requires docbook-ebnf 1.1CR1.
  * Add build-dep on docbook-ebnf.
  * Added "-O -D`pwd`" to docbook-2-html invocation.
  * Override (parse-starttag-pi) from dblib.dsl with a stub, since
    (parse-pi-attribute) makes far too many assumptions to be fixed
    rapidly.
  * All the above closes: #165300.  Thanks to Roland Mas and Ray Dassen
    for their work on this package.
  * Override %callout-graphics-path% and %callout-graphics-extension% to
    find callout graphics (Closes: #178929).
  * Override %admon-graphics% and %admon-graphics-path% to get graphics
    for admonitions.
  * Prevent docbook-defguide/html/changelog.html from being compressed,
    since that's part of the book.

 -- Yann Dirson <dirson@debian.org>  Thu,  3 Apr 2003 12:16:41 +0200

docbook-defguide (2.0.3-2) unstable; urgency=low

  * Use Build-depends-indep instead of Build-depends.
  * Run tidy(1) on generated HTML.
  * Install figures.
  * Made the stylesheet display in the ToC the glyphs matching the


=== debian/control ===
Source: docbook-defguide
Section: doc
Priority: optional
Maintainer: Daniel Leidert (dale) <daniel.leidert@wgdd.de>
Build-Depends: debhelper (>> 7.0.50~)
Build-Depends-Indep: docbook-ebnf (>> 1.2~cr1), docbook-xml (>= 4.5),
 docbook-xsl, java-gcj-compat [!alpha !arm !hppa !hurd-i386],
 docbook-xsl-saxon-gcj, libsaxon-java-gcj (>> 1:6.5), libxerces2-java-gcj,
 libxml-commons-resolver1.1-java-gcj, xml-core, xsltproc
Standards-Version: 3.9.2
Homepage: http://docbook.org/tdg/
Vcs-Browser: http://svn.debian.org/wsvn/debian-xml-sgml/packages/docbook-defguide/trunk/
Vcs-Svn: svn://svn.debian.org/svn/debian-xml-sgml/packages/docbook-defguide/trunk/
DM-Upload-Allowed: yes

Package: docbook-defguide
Architecture: all
Depends: ${misc:Depends}
Suggests: docbook, docbook-xml
Replaces: docbook-book
Provides: docbook-book
Conflicts: docbook-book
Description: DocBook: The Definitive Guide - HTML version
 The official reference manual for the DocBook 4.x SGML and XML DTD,
 by Norman Walsh, Leonard Muellner, and Bob Stayton.  This version is
 an evolution of the book of the same name published by O'Reilly
 (which documented DocBook 3.1).
 .
 This is a work in progress, which attempts to fully document DocBook
 4.5, but may be inconsistent in some places.

=== debian/rules ===
#!/usr/bin/make -f

JAVA    = java
BASEDIR = html/
PACKAGE = docbook-defguide

%:
	dh $@ --parallel

override_dh_auto_configure:
override_dh_auto_install:
override_dh_auto_build:
	$(MAKE) -C defguide/en tdg.xml all JAVA=$(JAVA) BASEDIR=$(BASEDIR)

override_dh_installdirs:
	dh_installdirs
	echo "# <URL:http://bugs.debian.org/135296>" > \
	    debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/html/.htaccess
	echo "DirectoryIndex docbook.html" >> \
	    debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/html/.htaccess

override_dh_compress:
	dh_compress -i -Xusr/share/doc/docbook-defguide/html

override_dh_clean:
	$(MAKE) -C defguide/en clean
	(cd defguide/en && $(RM) $(BASEDIR)/*.html stylesheets/html-titlepage.xsl bookinfo.xml)
	dh_clean

# TODO: create WhatsNew from svn2cl instead to touch it
# TODO: the Russian TDG needs it

version=$(shell dpkg-parsechangelog | sed -n -e 's/^Version: \(.*\)-[^-+]*/\1/p' | sed -n -e 's/\+svn.*$$//p ')

get-orig-source:
	set -ex ; \
	export LANG=C ; \
	TDGVERSION=`svn info https://docbook.svn.sourceforge.net/svnroot/docbook/trunk/defguide | sed -n -e 's/^Last Changed Rev: //p'` ; \
	TMPDIR=`mktemp -d docbook-defguide-$(version)+svn"$$TDGVERSION".orig` ; \
	svn export https://docbook.svn.sourceforge.net/svnroot/docbook/trunk/defguide "$$TMPDIR"/defguide ; \
	find "$$TMPDIR" -name .cvsignore -delete ; \
	echo "TODO: create WhatsNew from svn2cl instead to touch it" > "$$TMPDIR"/defguide/en/WhatsNew ; \
	GZIP=-9 tar -czf $(CURDIR)/docbook-defguide_${version}+svn"$$TDGVERSION".orig.tar.gz "$$TMPDIR" ; \
	rm -rf "$$TMPDIR"

.PHONY: get-orig-source

=== debian/watch ===
# See uscan(1) for format
#
# NOTE: You need to call the get-orig-source target in debian/rules.
# NOTE: uupdate will *NOT* work, because we need to get the source from SVN.

version=3
opts=dversionmangle=s/\+svn.*$//g \
  http://docbook.org/tdg/ en/tdg-en-html-([\d\.]+).zip

## docbook-defguide 2.0.17+svn9047

=== en/stylesheets/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-include ../../../cvstools/Makefile.incl
+include ../../../buildtools/Makefile.incl
 
 html-titlepage.xsl: html-titlepage.xml
 	$(XSLT) $< /sourceforge/docbook/xsl/template/titlepage.xsl $@

=== debian/changelog ===
docbook-defguide (2.0.17+svn9047-1) unstable; urgency=low

  * New snapshot from upstream VCS revision 9047.
  * debian/control (Standards-Version): Bumped to 3.9.3.
    (Build-Depends-Indep): Use default-jre-headless by default or
    gcj-jre-headless alternatively.
  * debian/copyright: Minor update.
  * debian/docbook-defguide.docs: Adjusted for source layout change.
  * debian/docbook-defguide.install: Ditto.
  * debian/rules: Adjust for minor source layout change. Removed
    get-orig-source target. Use default JRE.
  * debian/watch: Changed to download via ViewVC interface.
  * debian/README.Debian: Minor update.
  * debian/README.source: Ditto.
  * debian/patches/buildtools.patch: Adjusted.
    - Patch fixes. Further fix en/Makefile.
  * debian/patches/misc_fixes.patch: Adjusted.
    - Path fixes. Change to en/stylesheets/html-titlepage.xml obsoleted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Wed, 20 Jun 2012 00:10:40 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,17 @@
 Priority: optional
 Maintainer: Daniel Leidert (dale) <daniel.leidert@wgdd.de>
 Build-Depends: debhelper (>> 7.0.50~)
-Build-Depends-Indep: docbook-ebnf (>> 1.2~cr1), docbook-xml (>= 4.5),
- docbook-xsl, java-gcj-compat [!alpha !arm !hppa !hurd-i386],
- docbook-xsl-saxon-gcj, libsaxon-java-gcj (>> 1:6.5), libxerces2-java-gcj,
- libxml-commons-resolver1.1-java-gcj, xml-core, xsltproc
-Standards-Version: 3.9.2
+Build-Depends-Indep: default-jre-headless | gcj-jre-headless,
+                     docbook-ebnf (>> 1.2~cr1),
+                     docbook-xml (>= 4.5),
+                     docbook-xsl,
+                     docbook-xsl-saxon-gcj,
+                     libsaxon-java-gcj (>> 1:6.5),
+                     libxerces2-java-gcj,
+                     libxml-commons-resolver1.1-java-gcj,
+                     xml-core,
+                     xsltproc
+Standards-Version: 3.9.3
 Homepage: http://docbook.org/tdg/
 Vcs-Browser: http://svn.debian.org/wsvn/debian-xml-sgml/packages/docbook-defguide/trunk/
 Vcs-Svn: svn://svn.debian.org/svn/debian-xml-sgml/packages/docbook-defguide/trunk/

=== debian/watch ===
# See uscan(1) for format
#
# NOTE: You need to call the get-orig-source target in debian/rules.
# NOTE: uupdate will *NOT* work, because we need to get the source from SVN.

version=3
opts=\
uversionmangle=s/^/2.0.17+svn/,\
downloadurlmangle=s#\?view.*$#/trunk/defguide.tar.gz\?view=tar#,\
filenamemangle=s#^.*revision=(\d+)$#docbook-defguide-2.0.17+svn$1.tar.gz# \
 http://docbook.svn.sourceforge.net/viewvc/docbook/trunk/defguide/ .*revision=(\d+)$

# TODO: parent=1 auf en/
# http://viewvc.tigris.org/source/browse/*checkout*/viewvc/trunk/docs/url-reference.html#tarball-view
# debian /bin/sh debian/get-orig-source.sh
#
#opts=dversionmangle=s/\+svn.*$//g \
#  http://docbook.org/tdg/ en/tdg-en-html-([\d\.]+).zip

## docbook-defguide 2.0.17+svn9912

=== en/Makefile ===
include ../../buildtools/Makefile.incl

SSTITLEPG=stylesheets/html-titlepage.xsl
SSCHUNK=stylesheets/chunk.xsl
SSFO=stylesheets/tdgfo.xsl

SOURCE=tdg.xml
BASEDIR=../html/
ROOTID=
FORESULT=chunk.fo

DIFFVER=

FMGO=-N

ifeq ($(SOURCE),tdgex.xml)
  STYLEOPT=output.type=unexpanded
  HTMLEXT=-x.html
else
  STYLEOPT=
  HTMLEXT=.html
endif

ifeq ($(ROOTID),)
  ROOTIDPARAM=
else
  ROOTIDPARAM=rootid=$(ROOTID)
endif

all: chunks

test:
	xjparse $(SOURCE)

tdg.xml: bookinfo.xml WhatsNew
	xsltproc --output $@ stylesheets/identity.xsl book.xml

tdgex.xml: bookinfo.xml WhatsNew
	xsltproc --output $@ stylesheets/identity.xsl unexbook.xml

bookinfo.xml: VERSION.xml
	$(XSLT) $< $< $@

chunks: $(SSTITLEPG)
	$(XSLT) $(SOURCE) $(SSCHUNK) /dev/null base.dir=$(BASEDIR) html.ext=$(HTMLEXT) $(STYLEOPT)
	$(XSLT) $(SOURCE) $(SSCHUNK) /dev/null base.dir=$(BASEDIR) html.ext=$(HTMLEXT) rootid=index $(STYLEOPT)

chunk: $(SSTITLEPG)
	$(XSLT) $(SOURCE) $(SSCHUNK) /dev/null base.dir=$(BASEDIR) html.ext=$(HTMLEXT) $(ROOTIDPARAM) $(STYLEOPT)

index: $(SSTITLEPG)
	$(XSLT) $(SOURCE) $(SSCHUNK) /dev/null base.dir=$(BASEDIR) html.ext=$(HTMLEXT) rootid=index

stylesheets/html-titlepage.xsl: stylesheets/html-titlepage.xml
	$(XSLT) $< ../../xsl/template/titlepage.xsl $@

fochunks:
	$(XSLT) $(SOURCE) $(SSFO) partI.fo rootid=docbook-intro $(STYLEOPT)
	$(XSLT) $(SOURCE) $(SSFO) partII.fo rootid=docbook-reference $(STYLEOPT)
	$(XSLT) $(SOURCE) $(SSFO) partIII.fo rootid=docbook-apps $(STYLEOPT)

fochunk:
	$(XSLT) $(SOURCE) $(SSFO) $(FORESULT) $(ROOTIDPARAM) $(STYLEOPT)

%.pdf: %.fo
	xep $<

tdg.fo: tdg.xml
	$(XSLT) $< $(SSFO) $@ $(ROOTIDPARAM) $(STYLEOPT)

tdg.pdf: tdg.fo
	xep $< $@

clean:
	rm -f tdg.{html,fo,pdf} tdg.xml tdgex.xml

freshmeat:
	$(XSLT) VERSION.xml VERSION.xml /tmp/fm-docbook-tdg freshmeat=1
	grep -v "<?xml" /tmp/fm-docbook-tdg | freshmeat-submit $(FMGO)

WhatsNew:
	svn update
	/usr/local/svn2cl/svn2cl.sh --group-by-day --output=$@

=== ru/Makefile ===
include ../../buildtools/Makefile.incl

SSTITLEPG=stylesheets/html-titlepage.xsl
SSCHUNK=stylesheets/chunk.xsl
SSFO=stylesheets/tdgfo.xsl

SOURCE=tdg.xml
MEMORY=100000000
BASEDIR=../html/
ROOTID=
FORESULT=chunk.fo

FMGO=-N

ifeq ($(SOURCE),tdgex.xml)
  STYLEOPT=output.type=unexpanded
  HTMLEXT=-x.html
else
  STYLEOPT=
  HTMLEXT=.html
endif

ifeq ($(ROOTID),)
  ROOTIDPARAM=
else
  ROOTIDPARAM=rootid=$(ROOTID)
endif

ifeq ($(XSLT),xsltproc)
  MEMORYOPT=
else
  MEMORYOPT=-m $(MEMORY)
endif

all: chunks

test:
	xjparse $(SOURCE)

tdg.xml: bookinfo.xml
	xsltproc --output $@ stylesheets/identity.xsl book.xml

tdgex.xml: bookinfo.xml
	xsltproc --output $@ stylesheets/identity.xsl unexbook.xml

bookinfo.xml: VERSION.xml
	$(XSLT) $< $< $@

chunks: $(SSTITLEPG)
	$(XSLT) $(MEMORYOPT) $(SOURCE) $(SSCHUNK) /dev/null base.dir=$(BASEDIR) html.ext=$(HTMLEXT) $(STYLEOPT)
	$(XSLT) $(MEMORYOPT) $(SOURCE) $(SSCHUNK) /dev/null base.dir=$(BASEDIR) html.ext=$(HTMLEXT) rootid=index $(STYLEOPT)

chunk: $(SSTITLEPG)
	$(XSLT) $(MEMORYOPT) $(SOURCE) $(SSCHUNK) /dev/null base.dir=$(BASEDIR) html.ext=$(HTMLEXT) $(ROOTIDPARAM) $(STYLEOPT)

index: $(SSTITLEPG)
	$(XSLT) $(MEMORYOPT) $(SOURCE) $(SSCHUNK) /dev/null base.dir=$(BASEDIR) html.ext=$(HTMLEXT) rootid=index

stylesheets/html-titlepage.xsl: stylesheets/html-titlepage.xml
	$(XSLT) $< ../../xsl/template/titlepage.xsl $@

fochunks:
	$(XSLT) $(MEMORYOPT) $(SOURCE) $(SSFO) partI.fo rootid=docbook-intro $(STYLEOPT)
	$(XSLT) $(MEMORYOPT) $(SOURCE) $(SSFO) partII.fo rootid=docbook-reference $(STYLEOPT)
	$(XSLT) $(MEMORYOPT) $(SOURCE) $(SSFO) partIII.fo rootid=docbook-apps $(STYLEOPT)

fochunk:
	$(XSLT) $(MEMORYOPT) $(SOURCE) $(SSFO) $(FORESULT) $(ROOTIDPARAM) $(STYLEOPT)

%.pdf: %.fo
	xep $<

tdg.fo: tdg.xml
	$(XSLT) $(MEMORYOPT) $< $(SSFO) $@ $(ROOTIDPARAM) $(STYLEOPT)

tdg.pdf: tdg.fo
	xep $< $@

clean:
	rm -f tdg.{html,fo,pdf} tdg.xml tdgex.xml

freshmeat:
	$(XSLT) VERSION.xml VERSION.xml /tmp/fm-docbook-tdg freshmeat=1
	grep -v "<?xml" /tmp/fm-docbook-tdg | freshmeat-submit $(FMGO)

=== debian/changelog ===
docbook-defguide (2.0.17+svn9912-4) unstable; urgency=medium

  * QA upload.

  * Updated vcs in d/control to Salsa.
  * Added d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.5 to 4.7.0.
  * Switched to debhelper compat level 13.
  * Flagged docbook-defguide binary package as Multi-Arch: foreign as it can be installed on any arch.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 18 Apr 2024 00:10:12 +0200

docbook-defguide (2.0.17+svn9912-3) unstable; urgency=medium

  * QA upload.
  * Drop Vcs fields.

 -- Bastian Germann <bage@debian.org>  Mon, 28 Aug 2023 16:01:22 +0200

docbook-defguide (2.0.17+svn9912-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group. (see #802364)
  * Stop build-depending on the -gcj versions of packages,
    gcj is not used during the package build.

 -- Adrian Bunk <bunk@debian.org>  Tue, 18 Jul 2017 10:50:01 +0300

docbook-defguide (2.0.17+svn9912-1) unstable; urgency=medium

  * Latest VCS version fixing a license issue (closes: #708867).
  * debian/control: Dropped DM-Upload-Allowed field.
    (Maintainer): Changed to my debian.org address.
    (Standards-Version): Bumped to 3.9.5.
    (Vcs-Browser, Vcs-Svn): Fixed vcs-field-not-canonical.
  * debian/copyright: Update.
  * debian/get-orig-source.sh: Added script to retrieve source.
  * debian/watch: Updated.

 -- Daniel Leidert <dleidert@debian.org>  Sun, 02 Mar 2014 02:46:11 +0100

=== debian/control ===
Source: docbook-defguide
Section: doc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (=13)
Build-Depends-Indep: default-jre-headless,
                     docbook-ebnf (>> 1.2~cr1),
                     docbook-xml (>= 4.5),
                     docbook-xsl,
                     docbook-xsl-saxon,
                     libsaxon-java (>> 1:6.5),
                     libxerces2-java,
                     libxml-commons-resolver1.1-java,
                     xml-core,
                     xsltproc
Standards-Version: 4.7.0
Homepage: http://docbook.org/tdg/
Vcs-Browser: https://salsa.debian.org/debian/docbook-defguide
Vcs-Git: https://salsa.debian.org/debian/docbook-defguide.git

Package: docbook-defguide
Architecture: all
Depends: ${misc:Depends}
Suggests: docbook, docbook-xml
Replaces: docbook-book
Provides: docbook-book
Conflicts: docbook-book
Multi-Arch: foreign
Description: DocBook: The Definitive Guide - HTML version
 The official reference manual for the DocBook 4.x SGML and XML DTD,
 by Norman Walsh, Leonard Muellner, and Bob Stayton.  This version is
 an evolution of the book of the same name published by O'Reilly
 (which documented DocBook 3.1).
 .
 This is a work in progress, which attempts to fully document DocBook
 4.5, but may be inconsistent in some places.

=== debian/rules ===
#!/usr/bin/make -f

JAVA    = /usr/lib/jvm/default-java/bin/java
BASEDIR = html/
PACKAGE = docbook-defguide

%:
	dh $@

override_dh_auto_configure:
override_dh_auto_install:
override_dh_auto_build:
	$(MAKE) -C en tdg.xml all JAVA=$(JAVA) BASEDIR=$(BASEDIR)

override_dh_installdirs:
	dh_installdirs
	echo "# <URL:http://bugs.debian.org/135296>" > \
	    debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/html/.htaccess
	echo "DirectoryIndex docbook.html" >> \
	    debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/html/.htaccess

override_dh_compress:
	dh_compress -i -Xusr/share/doc/docbook-defguide/html

override_dh_clean:
	$(MAKE) -C en clean
	(cd en && $(RM) $(BASEDIR)/*.html stylesheets/html-titlepage.xsl bookinfo.xml)
	dh_clean
